Project

General

Profile

Actions

Bug #20385

closed

Plugins upgrade broken in 7.0 rc

Added by Alexis Mousset about 2 years ago. Updated about 2 years ago.

Status:
Released
Priority:
N/A
Category:
Plugins integration
Target version:
Severity:
UX impact:
User visibility:
Effort required:
Priority:
0
Name check:
To do
Fix check:
To do
Regression:

Description

Traceback (most recent call last):
  File "/opt/rudder/share/commands/package", line 140, in <module>
    rudderPkg.upgrade_all(mode, True)
  File "/opt/rudder/share/python/rudder-pkg/rudderPkg.py", line 407, in upgrade_all
    if currentVersion < latestVersion:
  File "/opt/rudder/share/python/rudder-pkg/rpkg.py", line 106, in __lt__
    if StrictVersion(self.rudderVersion) < StrictVersion(other.rudderVersion):
  File "/usr/lib/python3.7/distutils/version.py", line 40, in __init__
    self.parse(vstring)
  File "/usr/lib/python3.7/distutils/version.py", line 137, in parse
    raise ValueError("invalid version number '%s'" % vstring)
ValueError: invalid version number '7.0.0c2'
Actions

Also available in: Atom PDF